Bug 227524 - App icons can't be GIFs
Summary: App icons can't be GIFs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Konrath
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 17:14 UTC by Owen Taylor
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 3.2.2-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-21 21:52:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Owen Taylor 2007-02-06 17:14:50 UTC
In the eclipse-platform package:

 /usr/share/icons/hicolor/32x32/apps/eclipse.png

Is a symlink to 

  ../../../../eclipse/plugins/org.eclipse.platform_3.2.1/eclipse32.gif

This *may* happen to work with the GNOME menus, but:

 A) It's not legitimate to give something a .png extension that is actually a gif
 B) The icon spec doesn't allow GIFs... icons must be PNG, XPM, or SVG
     (http://freedesktop.org/wiki/Standards/icon-theme-spec)

Comment 1 Ben Konrath 2007-02-06 17:41:28 UTC
Thanks for pointing this out. I'm working on an update for fc6 this week and
I'll  include a fix for this. I'll also try to get them to use pngs upstream but
I suspect I won't get any traction.

Comment 2 Ben Konrath 2007-02-21 21:52:33 UTC
This is fixed in the upcoming 3.2.2-1.fc6 update. Thanks.


Note You need to log in before you can comment on or make changes to this bug.